#ifndef _FLTKLOCK_HPP
#define _FLTKLOCK_HPP

#include "fltklock.h"

namespace {
  inline void lock() 
  {
#if defined HAVE_FL__LOCK 
    if (csoundFLTKThreadLocking)
      Fl::lock();
#endif
  }

  inline void unlock() 
  {
#if defined HAVE_FL__LOCK 
    if (csoundFLTKThreadLocking)
      Fl::unlock();
#endif
  }

  inline void awake() 
  {
#if defined HAVE_FL__LOCK 
    Fl::awake();
#endif
  }
};

#endif
